commit: d3f00266abdaff2ab8eec31f9ecbf0fb052f2ebc
Author: Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 20:02:23 2019 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Tue Oct 15 15:57:55 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3f00266
dev-python/lockfile: EAPI=7
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
dev-python/lockfile/lockfile-0.12.2-r2.ebuild | 40 +++++++++++++++++++++++++++
1 file changed, 40 insertions(+)
diff --git a/dev-python/lockfile/lockfile-0.12.2-r2.ebuild
b/dev-python/lockfile/lockfile-0.12.2-r2.ebuild
new file mode 100644
index 00000000000..3a1e9189832
--- /dev/null
+++ b/dev-python/lockfile/lockfile-0.12.2-r2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Platform-independent file locking module"
+HOMEPAGE="https://launchpad.net/pylockfile https://pypi.org/project/lockfile/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86"
+IUSE="doc test"
+
+DEPEND="
+ >dev-python/pbr-1.8[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+DOCS=( ACKS AUTHORS ChangeLog README.rst RELEASE-NOTES )
+
+python_compile_all() {
+ use doc && emake -C doc/source html
+}
+
+python_test() {
+ # "${PYTHON}" test/test_lockfile.py yeilds no informative coverage
output
+ nosetests --verbose || die "test_lockfile failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && dodoc -r doc/source/.build/html
+ distutils-r1_python_install_all
+}